[Date Prev][Date Next] [Chronological] [Thread] [Top]

error in make-openldap-2.0.7, solaris-8

    thank for the previous replies.
While installing openldap-2.0.11 in solaris-8, i initially had pthread problems which was solved by setting CPPFLAGS to
"-I/usr/include -I/usr/local/include -I/usr/local/BerkeleyDB.3.1/include".
I'm using cc compiler presently. While doing 'make', i get numerous errors while compiling base64.c. I tried out compiling 'base64.c' separately and am getting the same errors with cc.
With  gcc, i could compile the file with a few warnings and so tried out configuring openldap with gcc. Now, the configure script ended with an error :
checking for gcc option to accept ANSI C... no
configure: error: OpenLDAP requires compiler to support STDC constructs.
Can anyone suggest me a way for overcoming this problem? I would be grateful, if there would be suggestions for using 'cc' compiler. Anyway, gcc would also help me...
Thank You.
A. Gayathri
Odyssey Technologies Limited.